io.undertow.security.api

## Interface AuthenticatedSessionManager

    public interface AuthenticatedSessionManager

Interface that represents a persistent authenticated session.

Author:
  Stuart Douglas, Darran Lofthouse

### Nested Class Summary

Nested Classes
`static class` `AuthenticatedSessionManager.AuthenticatedSession`

### Field Summary

Fields
`static AttachmentKey<AuthenticatedSessionManager>` `ATTACHMENT_KEY` The attachment key that is used to attach the manager to the exchange

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearSession(HttpServerExchange exchange)`
`AuthenticatedSessionManager.AuthenticatedSession` `lookupSession(HttpServerExchange exchange)`

### Field Detail

#### ATTACHMENT_KEY

    static final AttachmentKey<AuthenticatedSessionManager> ATTACHMENT_KEY

The attachment key that is used to attach the manager to the exchange

### Method Detail

#### lookupSession

    AuthenticatedSessionManager.AuthenticatedSession lookupSession(HttpServerExchange exchange)

#### clearSession

    void clearSession(HttpServerExchange exchange)